.moon-base {
    width: 300px;
    height: 300px;
    border-radius: 50%;
    background-color:darkgrey ;
    display: inline-block;
    z-index: 1;
    position: absolute;
}

.moon-shadow {
    width: 300px;
    height: 300px;
    border-radius: 50%;
    background-color: black ;
    display: inline-block;
    z-index: 2;
    position: relative;
}

.moon-pos {
    left: var(--shadow);
    position: relative;
    display: inline-block;
}

.half-moon {
    width: 300px;
    height: 300px;
    border-radius: 50%;
    background-color: black ;
    display: inline-block;
    z-index: 2;
    position: relative;
}
